org.apache.hadoop.yarn.api.records.impl.pb

## Class PreemptionMessagePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.PreemptionMessage
  - - org.apache.hadoop.yarn.api.records.impl.pb.PreemptionMessagePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class PreemptionMessagePBImpl
      extends org.apache.hadoop.yarn.api.records.PreemptionMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreemptionMessagePBImpl()`
    `PreemptionMessagePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.PreemptionMessageProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.PreemptionContract` | `getContract()`
    `org.apache.hadoop.yarn.proto.YarnProtos.PreemptionMessageProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.StrictPreemptionContract` | `getStrictContract()`
    `int` | `hashCode()`
    `void` | `setContract(org.apache.hadoop.yarn.api.records.PreemptionContract c)`
    `void` | `setStrictContract(org.apache.hadoop.yarn.api.records.StrictPreemptionContract strict)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.PreemptionMessage

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PreemptionMessagePBImpl

          public PreemptionMessagePBImpl()

    - #### PreemptionMessagePBImpl

          public PreemptionMessagePBImpl(org.apache.hadoop.yarn.proto.YarnProtos.PreemptionMessageProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.PreemptionMessageProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getStrictContract

          public org.apache.hadoop.yarn.api.records.StrictPreemptionContract getStrictContract()

      Specified by:
        `getStrictContract` in class `org.apache.hadoop.yarn.api.records.PreemptionMessage`

    - #### setStrictContract

          public void setStrictContract(org.apache.hadoop.yarn.api.records.StrictPreemptionContract strict)

      Specified by:
        `setStrictContract` in class `org.apache.hadoop.yarn.api.records.PreemptionMessage`

    - #### getContract

          public org.apache.hadoop.yarn.api.records.PreemptionContract getContract()

      Specified by:
        `getContract` in class `org.apache.hadoop.yarn.api.records.PreemptionMessage`

    - #### setContract

          public void setContract(org.apache.hadoop.yarn.api.records.PreemptionContract c)

      Specified by:
        `setContract` in class `org.apache.hadoop.yarn.api.records.PreemptionMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.